# Get all API keys

Endpoint: GET /keys
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Query parameters:

  - `status` (string)

  - `limit` (integer)
    The maximum count of results to retrieve.

  - `startingAfter` (string)
    Return results starting after the provided object identifier.

  - `endingBefore` (string)
    Return results ending before the provided object identifier.

  - `offset` (integer)
    Offset from the start of results.

## Response 200 fields (application/json):

  - `count` (integer)
    Number of items returned by the current request.

  - `nextUrl` (string)
    URL of the next set of results.

  - `previousUrl` (string)
    URL of the previous set of results.

  - `status` (integer)
    HTTP status code.

  - `total` (integer)
    Total number of items in this result.

  - `data` (array)

  - `data.companyId` (string)

  - `data.createdAt` (string)

  - `data.deletedAt` (string)

  - `data.description` (string)
    A description of the API key. This field is optional and can be used to provide additional context about the API key.

  - `data.id` (string)

  - `data.key` (string)

  - `data.status` (string)
    Enum: "active", "inactive"

  - `data.updatedAt` (string)

  - `data.userId` (string)

  - `data.whitelistedIPs` (array)
    IP addresses or CIDR blocks for which to restrict access to this API key.
    Example: ["1.1.1.1","2.2.2.2","10.10.0.0/16"]

